Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229856 - escd free on invalid pointer
Summary: escd free on invalid pointer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: esc
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jack Magne
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-23 20:22 UTC by Jason Edgecombe
Modified: 2009-01-20 20:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:51:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0085 normal SHIPPED_LIVE esc bug fix and enhancement update 2009-01-20 16:04:23 UTC

Description Jason Edgecombe 2007-02-23 20:22:51 UTC
Description of problem:


Version-Release number of selected component (if applicable):
esc-1.0.0-18.el5

How reproducible:
always

Steps to Reproduce:
1. logout of gdm
2.
3.
  
Actual results:
error in system log:
escd: *** glibc detected *** ./escd: free(): invalid pointer: 0xbf93d104 ***


Expected results:
no error.

Additional info:

Comment 1 Jack Magne 2007-02-24 02:43:44 UTC
This bug was fixed in esc-1.0.0-19.

Comment 2 RHEL Product and Program Management 2008-06-09 22:01:54 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2009-01-20 20:51:18 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0085.html


Note You need to log in before you can comment on or make changes to this bug.